libpod-constants-perl_0.19-1_all.deb


Advertisement

Description

libpod-constants-perl - module for including constants from POD

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpod-constants-perl_0.19-1_all.deb
Package name libpod-constants-perl
Package version 0.19
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl role::shared-lib
Homepage https://metacpan.org/release/Pod-Constants
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 16.55 KB
Installed size 42.00 KB
This module allows you to specify those constants that should be
documented in your POD, and pull them out a run time in a fairly
arbitrary fashion.
Pod::Constants uses Pod::Parser to do the parsing of the source file.
It has to open the source file it is called from, and does so directly
either by lookup in %INC or by assuming it is $0 if the caller is
"main" (or it can't find %INC{caller()})

Alternatives

Package Version Architecture Repository
libpod-constants-perl_0.19-1_all.deb 0.19 all Debian Main
libpod-constants-perl - - -

Requires

Name Value
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpod-constants-perl_0.19-1_all.deb
Source Package libpod-constants-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpod-constants-perl deb package:
    # sudo apt-get install libpod-constants-perl

Files

Path
/usr/share/doc/libpod-constants-perl/changelog.Debian.gz
/usr/share/doc/libpod-constants-perl/changelog.gz
/usr/share/doc/libpod-constants-perl/copyright
/usr/share/man/man3/Pod::Constants.3pm.gz
/usr/share/perl5/Pod/Constants.pm

Changelog

2016-07-15 - Lucas Kanashiro <kanashiro@debian.org>
libpod-constants-perl (0.19-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
[ Lucas Kanashiro ]
* Import upstream version 0.19
* d/u/metadata: use https:// instead of http:// in Repository field
* Update years of upstream copyright
* Update Debian packaging copyright
* Declare compliance with Debian policy 3.9.8
2015-08-05 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libpod-constants-perl (0.18-1) unstable; urgency=low
* Team upload.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Lucas Kanashiro ]
* Add debian/upstream/metadata
* Import upstream version 0.18
* Remove no longer necessary patches
* Remove run time dependency on base-files
* Declare compliance with Debian policy 3.9.6
* Set debhelper >= 9
* Add autopkgtest-pkg-perl
* Update upstream copyright
[ gregor herrmann ]
* debian/copyright: update Upstream-Contact and upstream License.
2011-11-15 - gregor herrmann <gregoa@debian.org>
libpod-constants-perl (0.16-2) unstable; urgency=medium
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* Switch to source format 3.0 (quilt).
* Add patch EUMM_AUTHOR.patch: adjust AUTHOR in Makefile.PL to older and
newer versions of ExtUtils::MakeMaker. (Closes: #629284)
* Switch to debhelper 8 and tiny debian/rules; don't install README
anymore; add some files to debian/clean.
* Convert debian/copyright to DEP5 format.
* Set Standards-Version to 3.9.2, drop version from perl build
dependency.
* Add /me to Uploaders.
* Make short description a noun phrase.
* Add a patch to fix 2 spelling mistakes.
* Set urgency to medium (RC bug, perl 5.14 transition).
2009-01-06 - David Paleino <d.paleino@gmail.com>
libpod-constants-perl (0.16-1.1) unstable; urgency=low
* NMU: removing myself from Uploaders (Closes: #509511)
[ David Paleino ]
* debian/control: Standards-Version 3.8.0 (no changes needed)
* debian/copyright: using the "Copyright" word for debian
packaging
* debian/control: removed libtest-simple-perl from Build-Depends,
since a suitable version is provided by the perl version (by
pulling perl-modules) we're already Build-Depending on.
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
* debian/control: Added: ${misc:Depends} to Depends: field.
2007-10-25 - Damyan Ivanov <dmn@debian.org>
libpod-constants-perl (0.16-1) unstable; urgency=low
* Initial Release. Dependency of libwww-mechanize-shell-perl 0.46

See Also

Package Description
libpod-coverage-perl_0.23-1_all.deb checker for comprehensiveness of perl module documentation
libpod-coverage-trustpod-perl_0.100005-1_all.deb module to support hints for Pod::Coverage
libpod-elemental-perl_0.103004-1_all.deb module for manipulating POD elements
libpod-elemental-perlmunger-perl_0.200006-1_all.deb Perl module that rewrites Perl documentation
libpod-elemental-transformer-list-perl_0.102000-1_all.deb module to transform :list regions into =over/=back
libpod-eventual-perl_0.094001-1_all.deb module to read a POD as a series of trivial events
libpod-index-perl_0.14-3_all.deb index and search PODs using X<> entries
libpod-latex-perl_0.61-2_all.deb module to convert Pod data to formatted LaTeX
libpod-markdown-perl_3.101000-1_all.deb module to convert POD to the Markdown file format
libpod-minimumversion-perl_50-1_all.deb module to determine minimum Perl version of POD directives
libpod-plainer-perl_1.04-1_all.deb Perl extension for converting Pod to old-style Pod
libpod-pom-perl_2.01-3_all.deb module providing a Pod Object Model
libpod-pom-view-restructured-perl_1.000002-1_all.deb view for Pod::POM that outputs reStructuredText
libpod-projectdocs-perl_0.52-1_all.deb module to generate CPAN like project documents from POD
libpod-pseudopod-perl_0.18-2_all.deb framework for parsing PseudoPod
Advertisement
Advertisement